=== t/addons-functions/Makefile ===
test:
	./run-all.tests
