=== addons/packetfence-perl/debian/changelog ===
packetfence-perl (1.2.3) unstable; urgency=medium

  * Add dependencies Digest-MD4 1.9

 -- Inverse <info@inverse.ca>  Thu, 16 Nov 2023 12:08:00 +0100

packetfence-perl (1.2.2) unstable; urgency=medium

  * Upgrade Net::HTTP 6.21 -> 6.23

 -- Inverse <info@inverse.ca>  Wed, 07 Nov 2023 11:01:00 +0100

packetfence-perl (1.2.1) unstable; urgency=medium

  * Add Test::Simple

 -- Inverse <info@inverse.ca>  Wed, 23 Feb 2022 11:17:00 +0100

packetfence-perl (1.2.0) unstable; urgency=medium

  * Add new dependencies and improve download from CPAN

 -- Inverse <info@inverse.ca>  Tue, 08 Feb 2022 11:17:00 +0100

packetfence-perl (1.1.2) unstable; urgency=medium

  * Remove Crypt::OpenSSL::PKCS12

 -- Inverse <info@inverse.ca>  Web, 25 Aug 2021 11:17:00 +0100

packetfence-perl (1.1.1) unstable; urgency=medium

  * Remove Crypt::OpenSSL::PKCS12

 -- Inverse <info@inverse.ca>  Tue, 24 Aug 2021 11:17:00 +0100

packetfence-perl (1.1.0) unstable; urgency=medium

  * Remove Crypt::SMIME

 -- Inverse <info@inverse.ca>  Mon, 16 Aug 2021 11:17:00 +0100

packetfence-perl (1.0.0-1) unstable; urgency=medium

  * Initial version

 -- Inverse <info@inverse.ca>  Mon, 16 Aug 2021 11:00:00 +0100
