=== debian/changelog ===
packetfence (13.2.0+20240910143625+1448220356+0011+maintenance~13~2+bullseye1) bullseye; urgency=medium

  * build for maintenance/13.2

 -- Inverse inc. <support@inverse.ca>  Tue, 10 Sep 2024 23:37:22 +0000
