=== addons/packetfence-perl/debian/control ===
Source: packetfence-perl
Section: net
Priority: optional
Maintainer: Inverse inc. <info@inverse.ca>
Build-Depends: debhelper (>= 7.0.50~), curl
Standards-Version: 3.8.4

Package: packetfence-perl
Architecture: all
Depends: ${misc:Depends},
 tar
Provides: libae-log-collect-perl,
 libcatalyst-modules-perl,
 libcatalyst-perl (= 5.90128),
 libcarp-perl,
 libae-log-filter-perl,
 libae-log-log-perl,
 libae-perl,
 libalgorithm-c3-perl,
 libalgorithm-combinatorics-iterator-perl,
 libalgorithm-combinatorics-justcoderef-perl,
 libalgorithm-combinatorics-perl,
 libaliased-perl,
 libalien-base-perl,
 libalien-base-pkgconfig-perl,
 libalien-base-wrapper-perl,
 libalien-build-commandsequence-perl,
 libalien-build-helper-perl,
 libalien-build-interpolate-default-perl,
 libalien-build-interpolate-helper-perl,
 libalien-build-interpolate-perl,
 libalien-build-log-abbreviate-perl,
 libalien-build-log-default-perl,
 libalien-build-log-perl,
 libalien-build-meta-perl,
 libalien-build-mm-perl,
 libalien-build-perl,
 libalien-build-plugin-build-autoconf-perl,
 libalien-build-plugin-build-cmake-perl,
 libalien-build-plugin-build-copy-perl,
 libalien-build-plugin-build-make-perl,
 libalien-build-plugin-build-msys-perl,
 libalien-build-plugin-build-searchdep-perl,
 libalien-build-plugin-core-cleaninstall-perl,
 libalien-build-plugin-core-download-perl,
 libalien-build-plugin-core-ffi-perl,
 libalien-build-plugin-core-gather-perl,
 libalien-build-plugin-core-legacy-perl,
 libalien-build-plugin-core-override-perl,
 libalien-build-plugin-core-setup-perl,
 libalien-build-plugin-core-tail-perl,
 libalien-build-plugin-decode-dirlistingftpcopy-perl,
 libalien-build-plugin-decode-dirlisting-perl,
 libalien-build-plugin-decode-html-perl,
 libalien-build-plugin-decode-mojo-perl,
 libalien-build-plugin-download-negotiate-perl,
 libalien-build-plugin-extract-archivetar-perl,
 libalien-build-plugin-extract-archivezip-perl,
 libalien-build-plugin-extract-commandline-perl,
 libalien-build-plugin-extract-directory-perl,
 libalien-build-plugin-extract-negotiate-perl,
 libalien-build-plugin-fetch-curlcommand-perl,
 libalien-build-plugin-fetch-httptiny-perl,
 libalien-build-plugin-fetch-localdir-perl,
 libalien-build-plugin-fetch-local-perl,
 libalien-build-plugin-fetch-lwp-perl,
 libalien-build-plugin-fetch-netftp-perl,
 libalien-build-plugin-fetch-wget-perl,
 libalien-build-plugin-gather-isolatedynamic-perl,
 libalien-build-pluginmeta-perl,
 libalien-build-plugin-perl,
 libalien-build-plugin-pkgconfig-commandline-perl,
 libalien-build-plugin-pkgconfig-libpkgconf-perl,
 libalien-build-plugin-pkgconfig-makestatic-perl,
 libalien-build-plugin-pkgconfig-negotiate-perl,
 libalien-build-plugin-pkgconfig-pp-perl,
 libalien-build-plugin-prefer-badversion-perl,
 libalien-build-plugin-prefer-goodversion-perl,
 libalien-build-plugin-prefer-sortversions-perl,
 libalien-build-plugin-probe-cbuilder-perl,
 libalien-build-plugin-probe-commandline-perl,
 libalien-build-plugin-probe-vcpkg-perl,
 libalien-build-plugin-test-mock-perl,
 libalien-build-rc-perl,
 libalien-build-tempdir-perl,
 libalien-build-temp-perl,
 libalien-build-util-perl,
 libalien-build-version-basic-perl,
 libalienfile-perl,
 libalien-libxml2-install-files-perl,
 libalien-libxml2-perl,
 libalien-role-perl,
 libanyevent-base-perl,
 libanyevent-condvar-base-perl,
 libanyevent-condvar-perl,
 libanyevent-debug-backtrace-perl,
 libanyevent-debug-perl,
 libanyevent-debug-shell-perl,
 libanyevent-debug-wrapped-perl,
 libanyevent-debug-wrap-perl,
 libanyevent-dns-perl,
 libanyevent-handle-perl,
 libanyevent-impl-cocoa-perl,
 libanyevent-impl-eventlib-perl,
 libanyevent-impl-event-perl,
 libanyevent-impl-ev-perl,
 libanyevent-impl-fltk-perl,
 libanyevent-impl-glib-perl,
 libanyevent-impl-ioasync-perl,
 libanyevent-impl-irssi-perl,
 libanyevent-impl-perl-perl,
 libanyevent-impl-poe-perl,
 libanyevent-impl-qt-io-perl,
 libanyevent-impl-qt-perl,
 libanyevent-impl-qt-timer-perl,
 libanyevent-impl-tk-perl,
 libanyevent-impl-uv-perl,
 libanyevent-io-ioaio-perl,
 libanyevent-io-perl,
 libanyevent-io-perl-perl,
 libanyevent-log-collect-perl,
 libanyevent-log-ctx-perl,
 libanyevent-log-filter-perl,
 libanyevent-log-log-perl,
 libanyevent-log-perl,
 libanyevent-loop-perl,
 libanyevent-perl,
 libanyevent-socket-perl,
 libanyevent-strict-perl,
 libanyevent-tls-perl,
 libanyevent-util-perl,
 libapache-htpasswd-perl,
 libapache-logformat-compiler-perl,
 libapache-session-file-perl,
 libapache-session-flex-perl,
 libapache-session-generate-md5-perl,
 libapache-session-generate-moduniqueid-perl,
 libapache-session-generate-modusertrack-perl,
 libapache-session-informix-perl,
 libapache-session-lock-file-perl,
 libapache-session-lock-mysql-perl,
 libapache-session-lock-null-perl,
 libapache-session-lock-semaphore-perl,
 libapache-session-lock-sybase-perl,
 libapache-session-mysql-nolock-perl,
 libapache-session-mysql-perl,
 libapache-session-oracle-perl,
 libapache-session-perl,
 libapache-session-postgres-perl,
 libapache-session-serialize-base64-perl,
 libapache-session-serialize-storable-perl,
 libapache-session-serialize-sybase-perl,
 libapache-session-serialize-uuencode-perl,
 libapache-session-store-dbi-perl,
 libapache-session-store-file-perl,
 libapache-session-store-informix-perl,
 libapache-session-store-mysql-perl,
 libapache-session-store-oracle-perl,
 libapache-session-store-postgres-perl,
 libapache-session-store-sybase-perl,
 libapache-session-sybase-perl,
 libappconfig-args-perl,
 libappconfig-cgi-perl,
 libappconfig-file-perl,
 libappconfig-getopt-perl,
 libappconfig-perl,
 libappconfig-state-perl,
 libappconfig-sys-perl,
 libarchive-any-lite-perl,
 libarchive-any-lite-tar-perl,
 libarchive-any-lite-zip-perl,
 libarray-diff-perl,
 libasync-interrupt-perl,
 libauthen-htpasswd-perl,
 libauthen-htpasswd-user-perl,
 libauthen-htpasswd-util-perl,
 libauthen-krb5-simple-perl,
 libauthen-radius-perl,
 libauthen-sasl-external-perl,
 libauthen-sasl-perl,
 libauthen-sasl-perl-anonymous-perl,
 libauthen-sasl-perl-external-perl,
 libauthen-sasl-perl-gssapi-perl,
 libauthen-sasl-perl-layer-perl,
 libauthen-sasl-perl-login-perl,
 libauthen-sasl-perl-perl,
 libauthen-sasl-perl-plain-perl,
 libbareword-filehandles-perl,
 libbar-perl,
 libbaz-perl,
 libb-cow-perl,
 libbencode-perl,
 libb-hooks-endofscope-perl,
 libb-hooks-endofscope-pp-perl,
 libb-hooks-endofscope-xs-perl,
 libb-hooks-op-check-install-files-perl,
 libb-hooks-op-check-perl,
 libbit-vector-overload-perl,
 libbit-vector-perl,
 libbit-vector-string-perl,
 libb-keywords-perl,
 libboolean-perl,
 libbundle-dbd-csv-perl,
 libbundle-dbi-perl,
 libbundle-net-ldap-perl,
 libbytes-random-secure-perl,
 libcache-basecache-perl,
 libcache-basecachetester-perl,
 libcache-cachemetadata-perl,
 libcache-cache-perl,
 libcache-cachesizer-perl,
 libcache-cachetester-perl,
 libcache-cacheutils-perl,
 libcache-fastmmap-onleave-perl,
 libcache-fastmmap-perl,
 libcache-filebackend-perl,
 libcache-filecache-perl,
 libcache-memorybackend-perl,
 libcache-memorycache-perl,
 libcache-nullcache-perl,
 libcache-object-perl,
 libcache-sharedmemorybackend-perl,
 libcache-sharedmemorycache-perl,
 libcache-sizeawarecache-perl,
 libcache-sizeawarecachetester-perl,
 libcache-sizeawarefilecache-perl,
 libcache-sizeawarememorycache-perl,
 libcache-sizeawaresharedmemorycache-perl,
 libcanary-stability-perl,
 libcapture-tiny-perl,
 libcarp-assert-more-perl,
 libcarp-assert-perl,
 libcarp-clan-perl,
 libcatalyst-actionchain-perl,
 libcatalyst-actioncontainer-perl,
 libcatalyst-action-deserialize-callback-perl,
 libcatalyst-action-deserialize-json-perl,
 libcatalyst-action-deserialize-json-xs-perl,
 libcatalyst-action-deserializemultipart-perl,
 libcatalyst-action-deserialize-perl,
 libcatalyst-action-deserialize-view-perl,
 libcatalyst-action-deserialize-xml-simple-perl,
 libcatalyst-action-deserialize-yaml-perl,
 libcatalyst-action-perl,
 libcatalyst-action-renderview-perl,
 libcatalyst-action-rest-forbrowsers-perl,
 libcatalyst-action-rest-perl,
 libcatalyst-actionrole-consumescontent-perl,
 libcatalyst-actionrole-httpmethods-perl,
 libcatalyst-actionrole-querymatching-perl,
 libcatalyst-actionrole-scheme-perl,
 libcatalyst-action-serializebase-perl,
 libcatalyst-action-serialize-callback-perl,
 libcatalyst-action-serialize-json-perl,
 libcatalyst-action-serialize-jsonp-perl,
 libcatalyst-action-serialize-json-xs-perl,
 libcatalyst-action-serialize-perl,
 libcatalyst-action-serialize-view-perl,
 libcatalyst-action-serialize-xml-simple-perl,
 libcatalyst-action-serialize-yaml-html-perl,
 libcatalyst-action-serialize-yaml-perl,
 libcatalyst-authentication-credential-http-perl,
 libcatalyst-authentication-credential-nopassword-perl,
 libcatalyst-authentication-credential-password-perl,
 libcatalyst-authentication-credential-remote-perl,
 libcatalyst-authentication-realm-compatibility-perl,
 libcatalyst-authentication-realm-perl,
 libcatalyst-authentication-realm-progressive-perl,
 libcatalyst-authentication-store-htpasswd-perl,
 libcatalyst-authentication-store-htpasswd-user-perl,
 libcatalyst-authentication-store-minimal-perl,
 libcatalyst-authentication-store-null-perl,
 libcatalyst-authentication-user-hash-perl,
 libcatalyst-authentication-user-perl,
 libcatalyst-base-perl,
 libcatalyst-classdata-perl,
 libcatalyst-component-applicationattribute-perl,
 libcatalyst-component-contextclosure-perl,
 libcatalyst-component-instancepercontext-perl,
 libcatalyst-component-perl,
 libcatalyst-controller-html-formfu-actionbase-form-perl,
 libcatalyst-controller-html-formfu-action-formconfig-perl,
 libcatalyst-controller-html-formfu-action-formmethod-perl,
 libcatalyst-controller-html-formfu-action-form-perl,
 libcatalyst-controller-html-formfu-action-multiformconfig-perl,
 libcatalyst-controller-html-formfu-action-multiformmethod-perl,
 libcatalyst-controller-html-formfu-action-multiform-perl,
 libcatalyst-controller-html-formfu-perl,
 libcatalyst-controller-perl,
 libcatalyst-controller-rest-perl,
 libcatalyst-devel-perl,
 libcatalyst-dispatcher-perl,
 libcatalyst-dispatchtype-chained-perl,
 libcatalyst-dispatchtype-default-perl,
 libcatalyst-dispatchtype-index-perl,
 libcatalyst-dispatchtype-path-perl,
 libcatalyst-dispatchtype-perl,
 libcatalyst-engineloader-perl,
 libcatalyst-engine-perl,
 libcatalyst-exception-base-perl,
 libcatalyst-exception-basic-perl,
 libcatalyst-exception-detach-perl,
 libcatalyst-exception-go-perl,
 libcatalyst-exception-interface-perl,
 libcatalyst-exception-perl,
 libcatalyst-helper-html-formfu-perl,
 libcatalyst-helper-model-dbic-schema-perl,
 libcatalyst-helper-perl,
 libcatalyst-helper-view-csv-perl,
 libcatalyst-helper-view-json-perl,
 libcatalyst-helper-view-tt-perl,
 libcatalyst-helper-view-ttsite-perl,
 libcatalyst-log-perl,
 libcatalyst-middleware-stash-perl,
 libcatalyst-model-dbic-schema-perl,
 libcatalyst-model-perl,
 libcatalyst-plugin-authentication-credential-password-perl,
 libcatalyst-plugin-authentication-perl,
 libcatalyst-plugin-authentication-store-minimal-perl,
 libcatalyst-plugin-authentication-user-hash-perl,
 libcatalyst-plugin-authentication-user-perl,
 libcatalyst-plugin-configloader-perl,
 libcatalyst-plugin-i18n-perl,
 libcatalyst-plugin-session-perl,
 libcatalyst-plugin-session-state-cookie-perl,
 libcatalyst-plugin-session-state-perl,
 libcatalyst-plugin-session-store-dummy-perl,
 libcatalyst-plugin-session-store-file-perl,
 libcatalyst-plugin-session-store-perl,
 libcatalyst-plugin-session-test-store-perl,
 libcatalyst-plugin-smarturi-perl,
 libcatalyst-plugin-stacktrace-perl,
 libcatalyst-plugin-static-simple-perl,
 libcatalyst-plugin-unicode-encoding-perl,
 libcatalyst-request-partdata-perl,
 libcatalyst-request-perl,
 libcatalyst-request-rest-forbrowsers-perl,
 libcatalyst-request-rest-perl,
 libcatalyst-request-smarturi-perl,
 libcatalyst-request-upload-perl,
 libcatalyst-response-perl,
 libcatalyst-response-writer-perl,
 libcatalyst-restarter-forking-perl,
 libcatalyst-restarter-perl,
