=== addons/perl-client/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
NAME		= fingerbank
PREFIX		= /usr/local
INSTALL		= /usr/bin/install -c -D -m0664

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir


	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf README.md t/ rpm/ vagrant/ ci/
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Install all except debian and t directory
	for i in `find * ! -path 'remote' ! -path 'debian/*' ! -path 'debian' ! -path 'obsolete/*' ! -path 'obsolete' ! -path 'upstream/*' ! -path 'upstream' -type d`; do \
		i=$$(echo $$i | sed -e "s/remote\/perl//g"); \
		install -d -m2775 $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/$$i; \
	done
	for i in `find * ! -path 'remote' ! -path 'debian/*' ! -path 'debian' ! -path 'obsolete/*' ! -path 'obsolete' ! -path 'upstream/*' ! -path 'upstream' ! -type d`; do \
		j=$$(echo $$i | sed -e "s/remote\/perl//g"); \
		$(INSTALL) $$i $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/$$j; \
	done
	touch $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/conf/fingerbank.conf
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
#	dh_link
	dh_strip
	dh_compress
	# PERMISSIONS
	# Executables
	chmod 0775 $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/db/upgrade.pl
	chmod 0775 $(CURDIR)/debian/fingerbank$(PREFIX)/$(NAME)/conf/upgrade/*
#	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
